Bug 1280049 - moreutils missing perl-Time-HiRes dep
Summary: moreutils missing perl-Time-HiRes dep
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: moreutils
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ryan Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-10 20:32 UTC by Pavel Alexeev
Modified: 2016-01-19 23:29 UTC (History)
2 users (show)

Fixed In Version: moreutils-0.57-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-19 23:29:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavel Alexeev 2015-11-10 20:32:31 UTC
Description of problem:
# echo test | ts "%H:%M:%.S"
Can't locate Time/HiRes.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/bin/ts line 78.

After instaling perl-Time-HiRes:
# echo test | ts "%H:%M:%.S"
23:44:11.058628 test

Version-Release number of selected component (if applicable):
# rpm -q moreutils
moreutils-0.49-2.el7.x86_64

How reproducible:
Always

Comment 1 Ryan Brown 2015-12-04 14:03:39 UTC
This should be fixed in moreutils-0.49-5 when it gets picked up.

Comment 2 Fedora Update System 2015-12-04 15:26:47 UTC
moreutils-0.57-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d3f05f61ab

Comment 3 Fedora Update System 2015-12-04 15:26:47 UTC
moreutils-0.57-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d1b48b9e9e

Comment 4 Fedora Update System 2015-12-04 15:26:54 UTC
moreutils-0.57-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-191e646924

Comment 5 Fedora Update System 2015-12-06 05:22:32 UTC
moreutils-0.57-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update moreutils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-191e646924

Comment 6 Fedora Update System 2015-12-06 08:21:31 UTC
moreutils-0.57-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update moreutils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d3f05f61ab

Comment 7 Fedora Update System 2015-12-06 17:21:15 UTC
moreutils-0.57-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update moreutils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d1b48b9e9e

Comment 8 Pavel Alexeev 2015-12-07 13:27:11 UTC
Thank you Ryan.

Comment 9 Fedora Update System 2016-01-19 23:29:54 UTC
moreutils-0.57-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.